Create a folder

View as Markdown
Creates a folder in a collection. For a complete list of properties, refer to the **Folder** entry in the [Postman Collection Format documentation](https://schema.postman.com/collection/json/v2.1.0/draft-07/docs/index.html). You can use this endpoint to to import requests and responses into a newly-created folder. To do this, include the `requests` field and the list of request objects in the request body. For more information, see the provided example. **Note:** It is recommended that you pass the `name` property in the request body. If you do not, the system uses a null value. As a result, this creates a folder with a blank name.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

collectionIdstringRequired
The collection's ID.

Request

This endpoint expects an object.
namestringOptional

The folder’s name. It is recommended that you pass the name property in the request body. If you do not, the system uses a null value. As a result, this creates a folder with a blank name.

folderstringOptionalformat: "uid"
The ID of a folder in which to create the folder.

Response

Successful Response
dataobject

Information about the collection folder. For a complete list of properties, refer to the Postman Collection Format documentation.

metamap from strings to any

A Postman-specific response that contains information about the internal performed operation.

model_idstring
The folder's ID.
revisiondouble
An internal revision ID. Its value increments each time the resource changes. You can use this ID to track whether there were changes since the last time you fetched the resource.

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error